part of '../interface.dart';

/// @nodoc
mixin ZegoSignalingPluginNotificationAPI {
  /// enableNotifyWhenAppRunningInBackgroundOrQuit
  Future<ZegoSignalingPluginEnableNotifyResult>
      enableNotifyWhenAppRunningInBackgroundOrQuit({
    bool? isIOSSandboxEnvironment,
    bool enableIOSVoIP = true,
    ZegoSignalingPluginMultiCertificate certificateIndex =
        ZegoSignalingPluginMultiCertificate.firstCertificate,
    String appName = '',
    String androidChannelID = '',
    String androidChannelName = '',
    String androidSound = '',
  });

  /// addLocalNotification
  Future<void> addLocalNotification(
    ZegoSignalingPluginOutgoingNotificationConfig config,
  );

  /// createNotificationChannel
  Future<void> createNotificationChannel(
    ZegoSignalingPluginOutgoingNotificationChannelConfig config,
  );

  /// dismissAllNotifications
  Future<void> dismissAllNotifications();

  /// activeAppToForeground
  Future<void> activeAppToForeground();

  /// requestDismissKeyguard
  Future<void> requestDismissKeyguard();
}

/// @nodoc
mixin ZegoSignalingPluginNotificationEvent {
  /// getNotificationRegisteredEventStream
  Stream<ZegoSignalingPluginNotificationRegisteredEvent>
      getNotificationRegisteredEventStream();

  /// getNotificationArrivedEventStream
  Stream<ZegoSignalingPluginNotificationArrivedEvent>
      getNotificationArrivedEventStream();

  /// getNotificationClickedEventStream
  Stream<ZegoSignalingPluginNotificationClickedEvent>
      getNotificationClickedEventStream();
}
